Package net.snowflake.client.internal.core.minicore

## Interface MinicoreLibrary

All Superinterfaces:
  `com.sun.jna.Library`

    @SnowflakeJdbcInternalApi
    public interface MinicoreLibrary
    extends com.sun.jna.Library

JNA interface for the Snowflake minicore native library.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.Library

`com.sun.jna.Library.Handler`

### Field Summary

### Fields inherited from interface com.sun.jna.Library

`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `sf_core_full_version()` Get the full version string from the minicore library.

### Method Detail

#### sf_core_full_version

    String sf_core_full_version()

Get the full version string from the minicore library. This method maps to the C function: const char* sf_core_full_version();